.video-section {
  font-family: 'Poppins', sans-serif;
  text-align: center;
  
}

.video-section h2 {
  font-size: 32px;
  margin-bottom: 40px;
  color: #006d23;
}

.video-grid {
  display: grid;
  max-width: 100%;
  height: 70vh;
  margin: 10px 10px;
}

.video-card {
  position: relative;
  cursor: pointer;
  overflow: hidden;
  border-radius: 16px;
}
.video-card img {
  width: 100%;
  height: 100%;
  object-fit: cover; /* Możesz użyć contain, jeśli chcesz zachować całe zdjęcie */
  display: block;
  object-position: center 80%;
}
.play-button {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 48px;
  color: white;
  background-color: rgba(0, 0, 0, 0.6);
  border-radius: 50%;
  padding: 20px;
  transition: background-color 0.3s;
}

.video-card:hover .play-button {
  background-color: rgba(0, 0, 0, 0.8);
}

/* Modal Styles */
.video-modal {
  display: none;
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
  justify-content: center;
  align-items: center;
}

.video-modal-content {
  position: relative;
  width: 80%;
  max-width: 800px;
  aspect-ratio: 16 / 9;
  background: #000;
}

.video-modal-close {
  position: absolute;
  top: -30px;
  right: 0;
  font-size: 36px;
  color: white;
  cursor: pointer;
}
@media screen and (max-width: 600px) {
  .video-section > h2{
    font-size: 23px;
  }
}